LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
PolarCoordinateSystem3d Service Reference

`import <PolarCoordinateSystem3d.idl;`

Inheritance diagram for PolarCoordinateSystem3d:

## Additional Inherited Members
Public Member Functions inherited from XCoordinateSystem
long | getDimension ()
| the dimension of the coordinate-system.
string | getCoordinateSystemType ()
| identifies the type of coordinate system (e.g.
string | getViewServiceName ()
| return a service name from which the view component for this coordinate system can be created
void | setAxisByDimension ([in] long nDimension, [in] XAxis xAxis, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis.
XAxis | getAxisByDimension ([in] long nDimension, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis.
long | getMaximumAxisIndexByDimension ([in] long nDimension) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| In one dimension there could be several axes to enable main and secondary axis and maybe more in future.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/chart2/PolarCoordinateSystem3d.idl